# auto-stackoverflow

> Automatically search stackoverflow when exception occurs.

Please consider following this project's author, [Krzysztof Szewczyk](https://github.com/KrzysztofSzewczyk), and starring the project to show your :heart: and support.

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install --save auto-stackoverflow
```

## Usage

```js
const stackoverflow = require('auto-stackoverflow');

stackoverflow(function() {
	throw new Error("How to check is number odd?");
});
```

This code snippet will either open new window (while ran in browser) or open new default browser window (while ran in windowed environment, using Node.js)

## About

<details>
<summary><strong>Contributing</strong></summary>

Pull requests and stars are always welcome. For bugs and feature requests, please create an issue.

</details>

### License

This package is herebly placed in Public Domain.
Modify, sell, use to conquer the planet, or even steal it.
I don't care, I'll love you no matter what you will do with this.

Originally made by Krzysztof Szewczyk, Jul 2019
