
/**
 *  auto-stackoverflow.
 *  
 *  Automatic stackoverflow search when exception
 *  is catched. This module might depend on 'open'
 *  npm package, but it's not needed unless environment
 *  is Node.js.
 *  
 *  This package is herebly placed in Public Domain.
 *  
 *  Modify, sell, use to conquer the planet, or even steal it.
 *  I don't care, I'll love you no matter what you will do with this.
 *  
 *  Originally made by Krzysztof Szewczyk, Jul 2019
 */

/* eslint-env node, browser */

'use strict'

module.exports = function(proc) {
    if(typeof(proc) != 'function') {
        throw new Error('Function expected, got ' + typeof(proc))
    }
    
    try {
        proc()
    } catch(e) {
        let url = 'http://stackoverflow.com/search?q=[js]+' + e.message
        
		try {
			window.open(url, '_blank')
		} catch(e) {
			const open = require('open');
           (async () => { await open(url) })()
		}
    }
}
